Macro HealArcs

From FreeCAD Documentation
Revision as of 13:46, 5 July 2021 by David69 (talk | contribs) (Created page with "Icône de la barre d'outils Image:Macro_HealArcs.png")
Jump to navigation Jump to search
Other languages:
Deutsch • ‎English • ‎español • ‎français • ‎italiano • ‎polski • ‎čeština

Macro HealArcs.png HealArcs

Description
Parfois les arcs sont transformés en BSplines, par exemple, lorsqu'une opération d'échelle leurs ont été appliquées. Cette macro recrée des arcs valides. Utile avant l'exportation vers un fichier .dxf

Version macro : 0.1
Date dernière modification : 2011-09-24
Version FreeCAD : All
Téléchargement : ToolBar Icon
Auteur: Yorik
Auteur
Yorik
Téléchargement
ToolBar Icon
Liens
Version Macro
0.1
Dernière modification
2011-09-24
Version(s) FreeCAD
All
Raccourci clavier
None
Voir aussi
None

Description

Parfois les arcs sont transformés en BSplines, par exemple, lorsqu'une opération d'échelle leurs ont été appliquées. Cette macro recrée des arcs valides. Utile avant l'exportation vers un fichier .dxf

Script

Icône de la barre d'outils Macro HealArcs.png Macro_HealArcs.FCMacro

try:
    import DraftGeomUtils as fcgeo
except:
    from draftlibs import fcgeo
import FreeCAD,FreeCADGui,Part

sel = FreeCADGui.Selection.getSelection()
if not sel:
    FreeCAD.Console.PrintWarning("Select something first!")
else:
    removeList = []
    for obj in sel:
        ed = obj.Shape.Edges[0]
        arc = fcgeo.arcFromSpline(ed)
        if arc:
            Part.show(arc)
            removeList.append(obj.Name)
    FreeCAD.ActiveDocument.recompute()
    print "removing ",removeList
    for n in removeList:
        FreeCAD.ActiveDocument.removeObject(n)